# string-length

string-length() → xs:integer

Returns the number of characters in the string value of the context item

There are no arguments
Result | xs:integer

string-length($arg as xs:string?) → xs:integer

Returns the number of characters in the specified string

Arguments
| $arg | xs:string? | The input string
Result | xs:integer

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next